Skip to main content
`Ctrl`+`K`

# NEPGetSplitOperatorTerm

Gets the matrices and functions associated with the nonlinear operator in split form.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetSplitOperatorTerm(NEP nep,PetscInt k,Mat *A,FN *f)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- k - the index of the requested term (starting in 0)

## Output Parameters

- A - the matrix of the requested term

- f - the function of the requested term

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetSplitOperator()`, `NEPGetSplitOperatorInfo()`

## Level

intermediate

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages